/* ctpzsp.cc -- C't journal 2003/3/24 puzzle, data specification.
**
** Copyright (C) 2003 Eric Laroche.  All rights reserved.
**
** @author Eric Laroche <laroche@lrdev.com>
** @version @(#)$Id: ctpzsp.cc,v 1.1 2003/04/30 21:34:12 laroche Exp $
** @url http://www.lrdev.com/lr/c/ctpz.html
**
** This program is free software;
** you can redistribute it and/or modify it.
**
** This program is distributed in the hope that it will be useful,
** but WITHOUT ANY WARRANTY; without even the implied warranty of
** MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
**
*/


/* implemented interface */
#include "ctpzsp.hh"


/** The puzzle definition.  This is read-only global data.  The figures'
* order and position are largely as published (by photo), viewed from
* above [the 'two-dimensional' first and last pieces e.g. 'stand' (Y is
* 0)] and tilt less than 45 degree.  The puzzle is a set of (12)
* figures, a figure is a set of (4 to 6) cubes, a cube is a X/Y/Z
* coordinate tripple (with origin at 1).
*/
char const ctpz[] =
	"{{1.1.1, 2.1.1, 1.1.2, 1.1.3, 2.1.3}, "
	"{1.1.1, 2.1.1, 2.2.1, 2.3.1, 3.3.1}, "
	"{1.1.1, 2.1.1, 2.2.1, 2.3.1, 2.4.1}, "
	"{1.1.1, 1.2.1, 1.3.1, 2.3.1, 1.4.1}, "
	"{1.1.1, 2.1.1, 1.2.1, 1.1.2, 1.2.2}, "
	"{2.1.1, 2.2.1, 1.3.1, 2.3.1, 3.3.1}, "
	"{1.1.1, 2.1.1, 1.2.1, 2.2.1, 2.3.1}, "
	"{2.1.1, 3.1.1, 1.2.1, 2.2.1, 1.3.1}, "
	"{1.1.1, 2.1.1, 1.2.1, 1.2.2}, "
	"{2.1.1, 1.2.1, 2.2.1, 3.2.1, 1.3.1}, "
	"{2.1.1, 1.2.1, 2.2.1, 3.2.1, 2.3.1}, "
	"{1.1.1, 2.1.1, 1.1.2, 1.1.3, 2.1.3, 1.1.4}}";

